> ## Documentation Index
> Fetch the complete documentation index at: https://docs.jwtauth.pro/llms.txt
> Use this file to discover all available pages before exploring further.

# Validate

> Validates a JWT token



## OpenAPI

````yaml post /jwt-auth/v1/token/validate
openapi: 3.0.1
info:
  title: JWT Auth Pro API
  description: JWT Authentication endpoints
  license:
    name: Commercial
  version: 1.0.0
servers:
  - url: https://{your-domain}/wp-json
    description: Production environment
    variables:
      your-domain:
        default: example.com
        description: Your WordPress site domain
security: []
paths:
  /jwt-auth/v1/token/validate:
    post:
      description: Validates a JWT token
      responses:
        '200':
          description: Token is valid
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationResponse'
        '403':
          description: Token is invalid
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - bearerAuth: []
components:
  schemas:
    ValidationResponse:
      type: object
      properties:
        code:
          type: string
          description: Response code
          example: jwt_auth_valid_token
        data:
          type: object
          properties:
            status:
              type: integer
              description: HTTP status code
              example: 200
    Error:
      type: object
      properties:
        code:
          type: string
          description: Error code
          example: jwt_auth_invalid_token
        message:
          type: string
          description: Error message
        data:
          type: object
          properties:
            status:
              type: integer
              description: HTTP status code
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````